
USE tempdb
GO

WITH descendant(parent, id, amount, level) AS
(SELECT parent, id, amount, level = 1 
  FROM partsTree WHERE id = 1
UNION ALL
SELECT P.parent, P.id, P.amount, level = level + 1 
 FROM partsTree AS P INNER JOIN
 descendant AS A ON A.id = P.parent
 WHERE level < 2
)
SELECT id, level FROM descendant

