
USE AdventureWorks
GO

DROP TABLE EmployeeAdj

sp_helpindex 'HumanResources.Employee'

select * --into EmployeeAdj
from HumanResources.Employee

alter table AdventureWorks..EmployeeAdj ADD CONSTRAINT [PK_EmployeeAdj_EmployeeID] PRIMARY KEY CLUSTERED ([EmployeeID] ASC)

create index EmployeeAdj_IdxManager on AdventureWorks..EmployeeAdj(ManagerID)